#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-psqueues/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: psqueues
version: 0.2.6.0
id: psqueues-0.2.6.0-2wAsAPzDTiHBZnSu2iJLmr
key: psqueues-0.2.6.0-2wAsAPzDTiHBZnSu2iJLmr
license: BSD-3-Clause
maintainer: Jasper Van der Jeugt <jaspervdj@gmail.com>
synopsis: Pure priority search queues
description:
    The psqueues package provides
    <http://en.wikipedia.org/wiki/Priority_queue Priority Search Queues> in
    three different flavors.
    .
    * @OrdPSQ k p v@, which uses the @Ord k@ instance to provide fast insertion,
    deletion and lookup. This implementation is based on Ralf Hinze'\''s
    <http://citeseer.ist.psu.edu/hinze01simple.html A Simple Implementation Technique for Priority Search Queues>.
    Hence, it is similar to the
    <http://hackage.haskell.org/package/PSQueue PSQueue> library, although it is
    considerably faster and provides a slightly different API.
    .
    * @IntPSQ p v@ is a far more efficient implementation. It fixes the key type
    to @Int@ and uses a <http://en.wikipedia.org/wiki/Radix_tree radix tree>
    (like @IntMap@) with an additional min-heap property.
    .
    * @HashPSQ k p v@ is a fairly straightforward extension of @IntPSQ@: it
    simply uses the keys'\'' hashes as indices in the @IntPSQ@. If there are any
    hash collisions, it uses an @OrdPSQ@ to resolve those. The performance of
    this implementation is comparable to that of @IntPSQ@, but it is more widely
    applicable since the keys are not restricted to @Int@, but rather to any
    @Hashable@ datatype.
    .
    Each of the three implementations provides the same API, so they can be used
    interchangeably. The benchmarks show how they perform relative to one
    another, and also compared to the other Priority Search Queue
    implementations on Hackage:
    <http://hackage.haskell.org/package/PSQueue PSQueue>
    and
    <http://hackage.haskell.org/package/fingertree-psqueue fingertree-psqueue>.
    .
    <<http://i.imgur.com/KmbDKR6.png>>
    .
    <<http://i.imgur.com/ClT181D.png>>
    .
    Typical applications of Priority Search Queues include:
    .
    * Caches, and more specifically LRU Caches;
    .
    * Schedulers;
    .
    * Pathfinding algorithms, such as Dijkstra'\''s and A*.
category: Data Structures
abi: 94ce1852f54e6572514d5c8f506c5949
exposed: True
exposed-modules:
    Data.HashPSQ Data.IntPSQ Data.OrdPSQ
hidden-modules: Data.BitUtil Data.HashPSQ.Internal
                Data.IntPSQ.Internal Data.OrdPSQ.Internal
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/psqueues-0.2.6.0
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/psqueues-0.2.6.0
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/psqueues-0.2.6.0
hs-libraries: HSpsqueues-0.2.6.0-2wAsAPzDTiHBZnSu2iJLmr
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 deepseq-1.4.3.0
    hashable-1.2.7.0-32YJc3oTU0i5Q1RvbeCb0C ghc-prim-0.5.2.0
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             deepseq-1.4.3.0=a0a2dcdc923dbfb12a212a375ac573e0
             hashable-1.2.7.0-32YJc3oTU0i5Q1RvbeCb0C=b0ce70866a180a33c120b05b203e8b31
             ghc-prim-0.5.2.0=39dc2488936298f474639901f9105eec
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/psqueues-0.2.6.0/html/psqueues.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/psqueues-0.2.6.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

